<template>
    <div class="chartSize">       
        <IEcharts :option="chartOption" />
    </div>
</template>

<script>
import IEcharts from 'vue-echarts-v3/src/full.js';

export default {
    name: 'BarChart',
    components: {
        IEcharts
    },
    props: ['seriesData', 'xAxisData'],

    data() {
        return{
            chartOption: {
                legend: {},
                tooltip: {
                    trigger: 'axis',
                    triggerOn: 'mousemove',
                    enterable: true,
                    axisPointer: {
                        type: 'line',
                        label: {
                            show: true
                        }
                    },
                    position: function(pt) {
                        return [pt[0], 150];
                    },
                    extraCssText: "box-shadow: 0 0 3px rgba(255, 0, 0, 0.3);",
                    formatter: function(params){
                        let str = `<a style="color:rgb(26, 209, 255);" href="https://www.marvel.com/characters">Avenger: ${params[0].axisValue}</a><br/>Quantity Sold: ${params[0].data}`
                        return str
                        // console.log(params)
                    },
                    textStyle: {
                        color: 'rgb(26, 209, 255)',
                        fontStyle: 'italic',
                        fontFamily: 'serif'
                    }
                },
                series: [
                    {
                        type: 'bar',
                        data: this.seriesData,
                        color: ['rgba(255,99,132,0.6)']
                    }
                ],
                xAxis: {
                    name: 'Action Figure Name',
                    nameLocation: 'middle',
                    nameTextStyle: {
                        padding: [20,0,0,0]
                    },
                    type: 'category',
                    data: this.xAxisData
                },
                yAxis: [{
                    name: 'Number of Action Figures Sold',
                    nameLocation: 'middle',
                    nameTextStyle: {
                        padding: [0,0,50,0]
                    },
                    type: 'value'
                }]
            }
        }
    }
}
</script>

<style scoped>
    .chartSize{
        height: 350px;
        width: 800px;
        margin-left: 2rem;
    }
</style>